package com.sd.business.entity.inventory.dto;

import com.sd.business.entity.inventory.po.InventoryFinishedTemporaryDetail;
import lombok.Getter;
import lombok.Setter;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 成品暂存仓库操作记录新增入参实体
 *
 * @author
 * @since 2023-11-15
 */
@Getter
@Setter
public class InventoryFinishedTemporaryDetailAddDto {

    /**
     * 操作类型 1入库 0出库
     */
    @NotNull(message = "操作类型不能为空")
    private Integer type;

    /**
     * 操作时间
     */
    private Date operationTime;

    /**
     * 调仓标记
     */
    private Long allotFlag;

    /**
     * 备注
     */
    private String remark;

    /**
     * 明细
     */
    @Valid
    @NotEmpty(message = "物料信息不能为空")
    private List<InventoryFinishedTemporaryDetail> detailDtoList;
}
