package com.sd.business.entity.production.enums;

import com.ruoyi.common.exception.ServiceException;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
@AllArgsConstructor
public enum ExceedReceiveTypeEnum {
    PRODUCTION_DAMAGE(1, "制作损坏"),
    QUALITY_DEFECTIVE(2, "裸垫质量不良"),
    PRODUCTION_ERROR(3, "生产错误"),
    LOSE(4, "丢失"),
    REPLENISH(5, "补单"),
    ;

    private static final Map<Integer, ExceedReceiveTypeEnum> map = new HashMap<>();

    static {
        for (ExceedReceiveTypeEnum exceedReceiveTypeEnum : values()) {
            map.put(exceedReceiveTypeEnum.getKey(), exceedReceiveTypeEnum);
        }
    }

    private final Integer key;
    private final String value;

    /**
     * 通过key获取名称
     */
    public static ExceedReceiveTypeEnum getEnum(Integer key) {
        ExceedReceiveTypeEnum exceedReceiveTypeEnum = map.get(key);
        if (exceedReceiveTypeEnum == null) {
            throw new ServiceException("未知订单状态：" + key);
        }
        return exceedReceiveTypeEnum;
    }
}
